<?php
namespace App\Http\Controllers\admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use DB;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Contracts\Encryption\DecryptException;
use Illuminate\Support\Facades\Hash;
use App\User;
use App\Settings_model;
use App\Http\Requests\SitesettingValidation;
use Validator;
use Illuminate\Support\Facades\Mail;
use App\Mail\DemoEmail;

class AdminUserController extends Controller
{
   public function __construct()
   {
    DB::enableQueryLog();
   }
   public function allUser(Request $request)
   {
      #echo "<pre>";print_r($request->all());die;
      $user_obj = new User();
      $data['total_user'] = $user_obj->count();
      $data['aprov_user'] = $user_obj->where('status',2)->count();
      $data['unaprov_user'] = $user_obj->where('status',1)->count();
      $data['block_user'] = $user_obj->where('status',3)->count();
      $query = $user_obj->select('*');

      if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->status))
      {
          if($request->status == "hold")
          {
            $status = 0;
          }else{
            $status = $request->status;
          }
           //$where .= ' and status = '.$status;
           //$users = DB::select("SELECT * FROM Users $where");
           $query->where('status',$status);
      }
      if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->email))
      {
          #echo "email";die;
          $query->where('email','like','%'.$request->email.'%');
      }
      if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->telephone))
      {
          $query->where('mobNumber','like','%'.$request->telephone.'%');
      }   
      if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->fullname))
      {
          $query->where('fullname','like','%'.$request->fullname.'%');
      }
      if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->add_from_to))
      {
            $dateArr = explode('-',$request->add_from_to);
            #print_r($dateArr);die;
            #$date1 = str_replace('/','-',$dateArr[0]);
            #$date2 = str_replace('/','-',$dateArr[1]);
            
            $add_from_format = date('Y-m-d',strtotime($dateArr[0]));
            $add_to_format = date('Y-m-d',strtotime($dateArr[1]));
            #echo $add_from_format;die;
            $query->whereBetween(DB::raw("date(users.created_at)"),[$add_from_format,$add_to_format]);
      }
        
      $users = $query->orderBy('id','desc')->paginate(10)->appends(request()->query());

      if($request->has('exportsubmit'))
      {
         $orders1 = $query->orderBy('users.id','desc')->get()->toArray();
           $filename = "users.csv";
           $fp = fopen('php://output', 'w');

           $array_key = array(trans('messages.Id'),trans('messages.Fullname'),trans('messages.Email'),trans('messages.Telephone Number'),trans('messages.Registered date'),trans('messages.Status'));

           foreach ($array_key as $key => $value) {
              $header[] = $value;
           }

           header('Content-type: application/csv');
           header('Content-Disposition: attachment; filename='.$filename);
           fputcsv($fp, $header);

           foreach($orders1 as $orderValue)
           {
              //$userType = ($orderValue["user_type"] == 0) ? 'User' : 'Company';
           
              $var = $orderValue["created_at"];
              $cdate = date("d-M-y", strtotime($var) );

              if($orderValue["status"] == 0) { $orderStatus = trans('messages.Hold'); }
              elseif($orderValue["status"] == 1) { $orderStatus =  trans('messages.Approved'); }
              elseif($orderValue["status"] == 2) { $orderStatus =  trans('messages.Unapproved'); }

              
              fputcsv($fp,array(
                 $orderValue['id'],
                 $orderValue["fullname"],
                 $orderValue["email"],
                 $orderValue["mobNumber"],
                 $cdate,
                 $orderStatus,
                 ));
           }
           exit();
      }
      $data['heading'] = trans('messages.User List');
      return view("admin.allUser")->with(array("data"=> $data,"userList"=>$users));
   }
   public function blockedUser(Request $request)
   {
      $user_obj = new User();
      $data['total_user'] = $user_obj->count();
      $data['aprov_user'] = $user_obj->where('status',2)->count();
      $data['unaprov_user'] = $user_obj->where('status',1)->count();
      $data['block_user'] = $user_obj->where('status',3)->count();
      $query = $user_obj->select('*');

        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->status))
        {
          if($request->status == "hold")
          {
            $status = 0;
          }else{
            $status = $request->status;
          }
           //$where .= ' and status = '.$status;
           //$users = DB::select("SELECT * FROM Users $where");
           $query->where('status',$status);
        }
        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->email))
        {
          #echo "email";die;
          $query->where('email','like','%'.$request->email.'%');
        }
        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->telephone))
        {
          $query->where('mobNumber','like','%'.$request->telephone.'%');
        }
        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->fullname))
        {
          $query->where('fullname','like','%'.$request->fullname.'%');
        }
        
        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->add_from_to))
        {
            $dateArr = explode('-',$request->add_from_to);
            #print_r($dateArr);die;
            #$date1 = str_replace('/','-',$dateArr[0]);
            #$date2 = str_replace('/','-',$dateArr[1]);
            
            $add_from_format = date('Y-m-d',strtotime($dateArr[0]));
            $add_to_format = date('Y-m-d',strtotime($dateArr[1]));
            #echo $add_from_format;die;
            $query->whereBetween(DB::raw("date(users.created_at)"),[$add_from_format,$add_to_format]);
        }

        $query->where('status','=',3);
        $users = $query->orderBy('id','desc')->paginate(10)->appends(request()->query());
        if($request->has('exportsubmit'))
        {
           $orders1 = $query->orderBy('users.id','desc')->get()->toArray();
           $filename = "blockedUser.csv";
           $fp = fopen('php://output', 'w');

           $array_key = array(trans('messages.Id'),trans('messages.Fullname'),trans('messages.Email'),trans('messages.Telephone Number'),trans('messages.Registered date'),trans('messages.Status'));

           foreach ($array_key as $key => $value) {
              $header[] = $value;
           }

           header('Content-type: application/csv');
           header('Content-Disposition: attachment; filename='.$filename);
           fputcsv($fp, $header);

           foreach($orders1 as $orderValue)
           {
              //$userType = ($orderValue["user_type"] == 0) ? 'User' : 'Company';
           
              $var = $orderValue["created_at"];
              $cdate = date("d-M-y", strtotime($var) );

              if($orderValue["status"] == 0) { $orderStatus = trans('messages.Hold'); }
              elseif($orderValue["status"] == 1) { $orderStatus =  trans('messages.Approved'); }
              elseif($orderValue["status"] == 2) { $orderStatus =  trans('messages.Unapproved'); }

              
              fputcsv($fp,array(
                 $orderValue['id'],
                 $orderValue["fullname"],
                 $orderValue["email"],
                 $orderValue["mobNumber"],
                 $cdate,
                 $orderStatus,
                 ));
           }
           exit();
        }
        #dd(DB::getQueryLog());
        #$q_gett = DB::getQueryLog();
        #echo "<pre>";print_r($q_gett);die;
        $data['heading'] = trans('messages.Blocked User');
      return view("admin.blockedUser")->with(array("data"=> $data,"userList"=>$users));
   }
   public function newUser(Request $request)
   {
      $user_obj = new User();
      $data['total_user'] = $user_obj->count();
      $data['aprov_user'] = $user_obj->where('status',2)->count();
      $data['unaprov_user'] = $user_obj->where('status',1)->count();
      $data['block_user'] = $user_obj->where('status',3)->count();
      $query = $user_obj->select('*');

        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->status))
        {
          if($request->status == "hold")
          {
            $status = 0;
          }else{
            $status = $request->status;
          }
           //$where .= ' and status = '.$status;
           //$users = DB::select("SELECT * FROM Users $where");
           $query->where('status',$status);
        }
        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->email))
        {
          #echo "email";die;
          $query->where('email','like','%'.$request->email.'%');
        }
        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->telephone))
        {
          $query->where('mobNumber','like','%'.$request->telephone.'%');
        }

        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->fullname))
        {
          $query->where('fullname','like','%'.$request->fullname.'%');
        }
        
        if(($request->has('searchsubmit') || $request->has('exportsubmit')) && !empty($request->add_from_to))
        {
            $dateArr = explode('-',$request->add_from_to);
            #print_r($dateArr);die;
            #$date1 = str_replace('/','-',$dateArr[0]);
            #$date2 = str_replace('/','-',$dateArr[1]);
            
            $add_from_format = date('Y-m-d',strtotime($dateArr[0]));
            $add_to_format = date('Y-m-d',strtotime($dateArr[1]));
            #echo $add_from_format;die;
            $query->whereBetween(DB::raw("date(users.created_at)"),[$add_from_format,$add_to_format]);
        }
        
        $query->where('status','=',0);
        
        //dd(DB::getQueryLog());
        if($request->has('exportsubmit'))
        {
           $orders1 = $query->orderBy('users.id','desc')->get()->toArray(); 
           //dd(DB::getQueryLog());
           $filename = "newUsers.csv";
           $fp = fopen('php://output', 'w');

           $array_key = array(trans('messages.Id'),trans('messages.Fullname'),trans('messages.Email'),trans('messages.Telephone Number'),trans('messages.Registered date'),trans('messages.Status'));

           foreach ($array_key as $key => $value) {
              $header[] = $value;
           }

           header('Content-type: application/csv');
           header('Content-Disposition: attachment; filename='.$filename);
           fputcsv($fp, $header);

           foreach($orders1 as $orderValue)
           {
              //$userType = ($orderValue["user_type"] == 0) ? 'User' : 'Company';
           
              $var = $orderValue["created_at"];
              $cdate = date("d-M-y", strtotime($var) );

              if($orderValue["status"] == 0) { $orderStatus = trans('messages.Hold'); }
              elseif($orderValue["status"] == 1) { $orderStatus =  trans('messages.Approved'); }
              elseif($orderValue["status"] == 2) { $orderStatus =  trans('messages.Unapproved'); }

              
              fputcsv($fp,array(
                 $orderValue['id'],
                 $orderValue["fullname"],
                 $orderValue["email"],
                 $orderValue["mobNumber"],
                 $cdate,
                 $orderStatus,
                 ));
           }
           exit();
        }
        $users = $query->orderBy('id','desc')->paginate(10)->appends(request()->query());
        $data['heading'] = trans('messages.newUser');
      return view("admin.newUser")->with(array("data"=> $data,"userList"=>$users));
   }
  	public function userDetail(Request $request,$id)
  	{ 
	    $id = Crypt::decryptString($id);
	    $users_obj = new User();
	    $query = $users_obj->select('*');
	    $record = $query->where("id",$id)->get()->toArray();
	    #dd(DB::getQueryLog());
	    #$q_gett = DB::getQueryLog();
	    #echo "<pre>";print_r($q_gett);die;
	    $data['record'] = $record;
	    $data['heading'] = trans('messages.userDetail');
	    return view("admin.userDetail")->with(array("data"=> $data));
  	}

   public function resetUserPass(Request $request,$id){
        try{
            $dId = Crypt::decryptString($id);
            $user_obj = new User;
            $isExist = $user_obj->where('id',$dId)->count();
            if($isExist){
                $data['record'] = $user_obj->select('id','email')->where('id',$dId)->first();
                $data['heading'] = trans('messages.Reset Password');
                return view("admin.resetUserPass")->with(array("data"=> $data));
            }else{
                $message = trans('messages.invalid_info');
                $request->session()->flash("message","<div class='alert alert-danger'><strong>".$message."</strong></div>");
                return redirect('admin/allUser');
            }
        }catch(DecryptException $ex){
            $message = trans('messages.invalid_info');
            $request->session()->flash("message","<div class='alert alert-danger'><strong>".$message."</strong></div>");
            return redirect('admin/allUser');
        }
    }
   
    public function userPassSubmit(Request $request){
        try{
            $userId = Crypt::decryptString($request->i);
            $isExist = User::where('id',$userId)->count();
            if($isExist){
                $validatedData = $request->validate([
                'new_pass' => 'required|required_with:confirm_pass|same:confirm_pass',
                'confirm_pass' => 'required'
                ]);
               
                DB::beginTransaction();
                try{
                    $hashedPassword = Hash::make($request->new_pass);
                    
                    $user_update = User::where('id',$userId)->update(['password'=>$hashedPassword]);
                    DB::commit();
                    $message = trans('messages.password_chage_successfully');
                    $request->session()->flash("message","<div class='alert  alert-success'><strong>".$message.".</strong></div>");
                    return redirect("admin/resetUserPass/".$request->i);
                }catch(\Illuminate\Database\QueryException $ex){
                    DB::rollBack();
                    $message = $ex->getMessage();
                    $request->session()->flash("message","<div class='alert  alert-danger'><strong>".$message.".</strong></div>");
                    return redirect("admin/resetUserPass/".$request->i);
                }
              
            }else{
                $message =  trans('messages.invalidUser');
                $request->session()->flash("message","<div class='alert  alert-danger'><strong>".$message.".</strong></div>");
                return redirect("admin/resetUserPass/".$request->i);
            }
        }catch(DecryptException $e){
            $message =  $e->getMessage();
            $request->session()->flash("message","<div class='alert  alert-danger'><strong>".$message.".</strong></div>");
            return redirect("admin/resetUserPass/".$request->i);
        }
    }
}