<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
	<section class="content">
	    <div class="container-fluid">
	    <!-- Small boxes (Stat box) -->
	    	<div class="row">
	    		<div class="col-md-12">
      				<?php echo session("message"); ?>

      			</div>	
	    		<div class="col-md-12">
			    	<div class="card">
		              <!-- /.card-header -->
		              <div class="card-body">
		              		<div class="card card-primary">
					            <div class="card-header">
					              <h3 class="card-title"><?php echo e($data['heading']); ?></h3>

					              <div class="card-tools">
					                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                  <i class="fas fa-minus"></i>
					                </button>
					              </div>
					            </div>
					            <div class="card-body">
					              	<?php echo e(Form::open(array("url"=>"admin/addFaqSubmit","method"=>"post"))); ?> 
							            <div class="form-group">
							               <label for="inputName"><?php echo e(__('messages.Faq Type')); ?></label>
							               <select class="form-control" name="type">
							               		<option value="0"><?php echo e(__('messages.Select Type')); ?></option>
							               		<option value="1111"><?php echo e(__('messages.For all')); ?></option>
							               		<option value="1"><?php echo e(__('messages.User')); ?></option>
							               </select>
							               <div class="error"><?php echo e($errors->first("question")); ?></div>
							            </div>
							            <div class="form-group">
							               <label for="inputName"><?php echo e(__('messages.Question')); ?></label>
							               <?php echo e(Form::text("question","",["class"=>"form-control"])); ?>

							               <div class="error"><?php echo e($errors->first("question")); ?></div>
							            </div>
							            <div class="form-group">
							               <label for="inputName"><?php echo e(__('messages.Answer')); ?></label>
							               <?php echo e(Form::textarea("answer","",["class"=>"form-control"])); ?>

							               <div class="error"><?php echo e($errors->first("answer")); ?></div>
							            </div>
						              	<div class="col-12">
								          <a href="<?php echo e(url('admin/addfaq')); ?>" class="btn btn-secondary">Cancel</a>
								          <input type="submit" value="<?php echo e(__('messages.Submit')); ?>" class="btn btn-success float-right">
								        </div>
							        <?php echo e(Form::close()); ?>

					            </div>
					            <!-- /.card-body -->
				          </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		        </div>
	    	</div>
		</div>
	</section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /**PATH C:\xampp\htdocs\power-bank\resources\views/admin/addFaq.blade.php ENDPATH**/ ?>