<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="<?php echo e(url('admin/dashboard')); ?>" class="brand-link">
        <img src="<?php echo e(url('public/admin-js-css/dist/img/AdminLTELogo.png')); ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
        <span class="brand-text font-weight-light">Admin</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="<?php echo e(url('public/admin-js-css/dist/img/user2-160x160.jpg')); ?>" class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info">
                <a href="<?php echo e(url('admin/dashboard')); ?>" class="d-block">
                    <?php if(!empty(Session::get('firstname')) && !empty(Session::get('lastname'))): ?> 
                      <?php echo Session::get('firstname'); ?> <?php echo Session::get('lastname'); ?> 
                    <?php endif; ?>
                </a>
            </div>
        </div>

        <!-- SidebarSearch Form -->
       

        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <!-- Add icons to the links using the .nav-icon class
                with font-awesome or any other icon font library -->
           
                <?php
                $current_route = Request::segment(2);
                $active_class = "active";
                ?>
                <li class="nav-item <?php if($current_route == 'dashboard'): ?><?php echo e($active_class); ?><?php endif; ?>">
                <a href="<?php echo e(url('admin/dashboard')); ?>" class="nav-link  <?php if($current_route == 'dashboard'): ?><?php echo e($active_class); ?><?php endif; ?>">
                    <i class="fas fa-tachometer-alt"></i>
                    <p class="text"><?php echo e(__('messages.Dashboard')); ?></p>
                </a>
                </li>
          
                <?php
                $current_route = Request::segment(2);
                $menu_open_class = "";
                $active_class = "";
                $style_display = "";
                $blank_class = "";
                $user_route_array = array("allUser","blockedUser","newUser"); 
                if(in_array($current_route,$user_route_array))
                {
                    $menu_open_class = "menu-open";
                    $style_display = "style=display:block";
                    $active_class = "active";
                }else{
                    $menu_open_class = "";
                    $style_display = "style=display:none";
                    $active_class = "";
                }
                ?>

                <li class="nav-item  <?php echo $menu_open_class; ?>">
                    <a href="#" class="nav-link <?php echo $active_class; ?>">
                    <i class="fas fa-user-friends"></i>
                    <p>
                    <?php echo e(__('messages.User')); ?>

                    <i class="fas fa-angle-left right"></i>
                    </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                        <a href="<?php echo e(url('admin/allUser')); ?>" class="nav-link <?php if($current_route == 'allUser'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.List User')); ?></p>
                        </a>
                        </li>
                        <li class="nav-item">
                        <a href="<?php echo e(url('admin/blockedUser')); ?>" class="nav-link <?php if($current_route == 'blockedUser'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__("messages.Blocked User")); ?></p>
                        </a>
                        </li>
                        <li class="nav-item">
                        <a href="<?php echo e(url('admin/newUser')); ?>" class="nav-link <?php if($current_route == 'newUser'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__("messages.newUser")); ?></p>
                        </a>
                        </li>
                    </ul>
                </li>

                <?php
                    $current_route = Request::segment(2);
                    $current_route1 = Request::segment(3);
                    $menu_open_class = "";
                    $active_class = "";
                    $style_display = "";
                    $blank_class = "";
                    $user_route_array = array("productList");
                    if(in_array($current_route,$user_route_array))
                    {
                        $menu_open_class = "menu-open";
                        $style_display = "style=display:block";
                        $active_class = "active";
                    }else{
                        $menu_open_class = "";
                        $style_display = "style=display:none";
                        $active_class = "";
                    }
                ?>

                <li class="nav-item  <?php echo $menu_open_class; ?>">
                    <a href="#" class="nav-link <?php echo $active_class; ?>">
                      <i class="fas fa-bell"></i>
                      <p>
                        <?php echo e(__('messages.Battery management')); ?>

                        <i class="fas fa-angle-left right"></i>
                      </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(url('/')); ?>" class="nav-link <?php if($current_route1 == 'productList'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.Ongoing Rentals')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(url('/')); ?>" class="nav-link <?php if($current_route1 == 'productList'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.Completed Rentals')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(url('/')); ?>" class="nav-link <?php if($current_route1 == 'productList'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.Available for rent')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(url('/')); ?>" class="nav-link <?php if($current_route1 == 'productList'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.Below the charge limit')); ?></p>
                            </a>
                        </li>
                    </ul>
                </li>

                <?php
                    $current_route = Request::segment(2);
                    $menu_open_class = "";
                    $active_class = "";
                    $style_display = "";
                    $blank_class = "";
                    $user_route_array = array("kioskList","updateKioskInfo");
                    if(in_array($current_route,$user_route_array))
                    {
                        $menu_open_class = "menu-open";
                        $style_display = "style=display:block";
                        $active_class = "active";
                    }else{
                        $menu_open_class = "";
                        $style_display = "style=display:none";
                        $active_class = "";
                    }
                ?>
                <li class="nav-item  <?php echo $menu_open_class; ?>">
                    <a href="#" class="nav-link <?php echo $active_class; ?>">
                      <i class="fas fa-bell"></i>
                      <p>
                        <?php echo e(__('messages.Kiosk location management')); ?>

                        <i class="fas fa-angle-left right"></i>
                      </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/kioskList')); ?>" class="nav-link <?php if($current_route == 'kioskList' || $current_route == 'updateKioskInfo'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.List Kiosk')); ?></p>
                            </a>
                        </li>
                    </ul>
                </li>

                <?php
                    $current_route = Request::segment(2);
                    $current_route1 = Request::segment(3);
                    $menu_open_class = "";
                    $active_class = "";
                    $style_display = "";
                    $blank_class = "";
                    $user_route_array = array("productList");
                    if(in_array($current_route,$user_route_array))
                    {
                        $menu_open_class = "menu-open";
                        $style_display = "style=display:block";
                        $active_class = "active";
                    }else{
                        $menu_open_class = "";
                        $style_display = "style=display:none";
                        $active_class = "";
                    }
                ?>
                <li class="nav-item  <?php echo $menu_open_class; ?>">
                    <a href="#" class="nav-link <?php echo $active_class; ?>">
                      <i class="fas fa-bell"></i>
                      <p>
                        <?php echo e(__('messages.Reports')); ?>

                        <i class="fas fa-angle-left right"></i>
                      </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(url('/')); ?>" class="nav-link <?php if($current_route1 == 'productList'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.Sales report')); ?></p>
                            </a>
                        </li>
                    </ul>
                </li>

                <?php
                    $current_route = Request::segment(2);
                    $current_route1 = Request::segment(3);
                    $menu_open_class = "";
                    $active_class = "";
                    $style_display = "";
                    $blank_class = "";
                    $user_route_array = array("productList");
                    if(in_array($current_route,$user_route_array))
                    {
                        $menu_open_class = "menu-open";
                        $style_display = "style=display:block";
                        $active_class = "active";
                    }else{
                        $menu_open_class = "";
                        $style_display = "style=display:none";
                        $active_class = "";
                    }
                ?>
                <li class="nav-item  <?php echo $menu_open_class; ?>">
                    <a href="#" class="nav-link <?php echo $active_class; ?>">
                      <i class="fas fa-bell"></i>
                      <p>
                        <?php echo e(__('messages.Payment management')); ?>

                        <i class="fas fa-angle-left right"></i>
                      </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/paymentSetting')); ?>" class="nav-link <?php if($current_route == 'paymentSetting'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.Gateway settings')); ?></p>
                            </a>
                        </li>
                    </ul>
                </li>

                <?php
                    $current_route = Request::segment(2);
                    $menu_open_class = "";
                    $active_class = "";
                    $style_display = "";
                    $blank_class = "";
                    $user_route_array = array("productList");
                    if(in_array($current_route,$user_route_array))
                    {
                        $menu_open_class = "menu-open";
                        $style_display = "style=display:block";
                        $active_class = "active";
                    }else{
                        $menu_open_class = "";
                        $style_display = "style=display:none";
                        $active_class = "";
                    }
                ?>
                <li class="nav-item  <?php echo $menu_open_class; ?>">
                    <a href="#" class="nav-link <?php echo $active_class; ?>">
                      <i class="fas fa-bell"></i>
                      <p>
                        <?php echo e(__('messages.Coupon code management')); ?>

                        <i class="fas fa-angle-left right"></i>
                      </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/addCoupon')); ?>" class="nav-link <?php if($current_route1 == 'productList'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.Create Coupon')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(url('/')); ?>" class="nav-link <?php if($current_route1 == 'productList'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.List Coupon')); ?></p>
                            </a>
                        </li>
                    </ul>
                </li>
                
                <?php
                    $current_route = Request::segment(2);
                    $menu_open_class = "";
                    $active_class = "";
                    $style_display = "";
                    $blank_class = "";
                    $user_route_array = array("allsubadmin","addsubadmin","editsubadmin");
                    if(in_array($current_route,$user_route_array))
                    {
                        $menu_open_class = "menu-open";
                        $style_display = "style=display:block";
                        $active_class = "active";
                    }else{
                        $menu_open_class = "";
                        $style_display = "style=display:none";
                        $active_class = "";
                    }
                ?>

                <li class="nav-item  <?php echo $menu_open_class; ?>">
                    <a href="#" class="nav-link <?php echo $active_class; ?>">
                        <i class="fas fa-user-cog"></i>
                        <p>
                        <?php echo e(__('messages.Manage Subadmin')); ?>

                        <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/addsubadmin')); ?>" class="nav-link <?php if($current_route == 'addsubadmin'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.Add Subadmin')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/allsubadmin')); ?>" class="nav-link <?php if($current_route == 'allsubadmin' || $current_route == 'editsubadmin'): ?><?php echo e($active_class); ?><?php endif; ?>">
                              <i class="far fa-circle nav-icon"></i>
                              <p><?php echo e(__('messages.List Subadmin')); ?></p>
                            </a>
                        </li>
                    </ul>
                </li>

                <?php
                    $current_route = Request::segment(2);
                    $current_route1 = Request::segment(3);
                    $menu_open_class = "";
                    $active_class = "";
                    $style_display = "";
                    $blank_class = "";
                    $user_route_array = array("sendEmailNotification");
                    if(in_array($current_route,$user_route_array))
                    {
                        $menu_open_class = "menu-open";
                        $style_display = "style=display:block";
                        $active_class = "active";
                    }else{
                        $menu_open_class = "";
                        $style_display = "style=display:none";
                        $active_class = "";
                    }
                ?>

                <li class="nav-item  <?php echo $menu_open_class; ?>">
                    <a href="#" class="nav-link <?php echo $active_class; ?>">
                      <i class="fas fa-bell"></i>
                      <p>
                        <?php echo e(__('messages.sendEmailNotification')); ?>

                        <i class="fas fa-angle-left right"></i>
                      </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/sendEmailNotification/users')); ?>" class="nav-link <?php if($current_route1 == 'users'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.User Email notification')); ?></p>
                            </a>
                        </li>
                    </ul>
                </li>
                
                <?php
                    $current_route = Request::segment(2);
                    $menu_open_class = "";
                    $active_class = "";
                    $style_display = "";
                    $blank_class = "";
                    $user_route_array = array("privacyPolicy","termsCondition",'listFaq','addfaq','editFaq');
                    if(in_array($current_route,$user_route_array))
                    {
                        $menu_open_class = "menu-open";
                        $style_display = "style=display:block";
                        $active_class = "active";
                    }else{
                        $menu_open_class = "";
                          $style_display = "style=display:none";
                        $active_class = "";
                    }
                ?>

                <li class="nav-item  <?php echo $menu_open_class; ?>">
                    <a href="#" class="nav-link <?php echo $active_class; ?>">
                    <i class="fas fa-users-cog"></i>
                    <p>
                        <?php echo e(__('messages.Web Page Setting')); ?>

                        <i class="fas fa-angle-left right"></i>
                    </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/privacyPolicy')); ?>" class="nav-link <?php if($current_route == 'privacyPolicy'): ?><?php echo e($active_class); ?><?php endif; ?>">
                            <i class="far fa-circle nav-icon"></i>
                            <p><?php echo e(__('messages.Privacy Policy')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/termsCondition')); ?>" class="nav-link <?php if($current_route == 'termsCondition'): ?><?php echo e($active_class); ?><?php endif; ?>">
                              <i class="far fa-circle nav-icon"></i>
                              <p><?php echo e(__('messages.Terms Condition')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/addfaq')); ?>" class="nav-link <?php if($current_route == 'addfaq'): ?><?php echo e($active_class); ?><?php endif; ?>">
                              <i class="far fa-circle nav-icon"></i>
                              <p><?php echo e(__('messages.Add Faq')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(url('admin/listFaq')); ?>" class="nav-link <?php if($current_route == 'listFaq' || $current_route == 'editFaq'): ?><?php echo e($active_class); ?><?php endif; ?>">
                              <i class="far fa-circle nav-icon"></i>
                              <p><?php echo e(__('messages.List Faq')); ?></p>
                            </a>
                        </li>
                    </ul>
                </li>
                
                <?php
                    $current_route = Request::segment(2);
                    $active_class = "active";
                ?>
                <li class="nav-item">
                    <a href="<?php echo e(url('admin/adminPassReset')); ?>" class="nav-link  <?php if($current_route == 'adminPassReset'): ?><?php echo e($active_class); ?><?php endif; ?>">
                    <i class="fas fa-cogs"></i>
                    <p class="text"><?php echo e(__('messages.Admin Reset Password')); ?></p>
                    </a>
                </li>
          
          
                <?php
                    $current_route = Request::segment(2);
                    $active_class = "active";
                ?>
                <li class="nav-item">
                    <a href="<?php echo e(url('admin/siteSetting')); ?>" class="nav-link  <?php if($current_route == 'siteSetting'): ?><?php echo e($active_class); ?><?php endif; ?>">
                        <i class="fas fa-cogs"></i>
                        <p class="text"><?php echo e(__('messages.Site Setting')); ?></p>
                    </a>
                </li>
          
                <?php
                    $current_route = Request::segment(2);
                    $active_class = "active";
                ?>
                
            
                <?php
                    $current_route = Request::segment(2);
                    $active_class = "active";
                ?>
                <li class="nav-item">
                    <a href="<?php echo e(url('admin/logout')); ?>" class="nav-link  <?php if($current_route == 'logout'): ?><?php echo e($active_class); ?><?php endif; ?>">
                    <i class="fas fa-sign-out-alt"></i>
                    <p class="text"><?php echo e(__('messages.Logout')); ?></p>
                    </a>
                </li>
            </ul>
        </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside><?php /**PATH C:\xampp\htdocs\power-bank\resources\views/admin/template/sidebar.blade.php ENDPATH**/ ?>