<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
	<section class="content">
	    <div class="container-fluid">
	    <!-- Small boxes (Stat box) -->
	    	<div class="row">
	    		<div class="col-md-12">
      				<?php echo session("message"); ?>

      			</div>	
	    		<div class="col-md-12">
			    	<div class="card">
		              <!-- /.card-header -->
		              <div class="card-body">
		              		<div class="card card-primary">
					            <div class="card-header">
					              <h3 class="card-title"><?php echo e($data['heading']); ?></h3>

					              <div class="card-tools">
					                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                  <i class="fas fa-minus"></i>
					                </button>
					              </div>
					            </div>
					            <div class="card-body">
					              	<?php echo e(Form::open(array("url"=>"admin/kioskSubmit","method"=>"post","files"=>"true"))); ?>

					              	<?php echo e(Form::hidden("id",$data['record']->id,["class"=>"form-control"])); ?>

					              	<?php echo e(Form::hidden("old_image",$data['record']->image,["class"=>"form-control"])); ?>

							            <div class="form-group">
							               <label for="inputName"><?php echo e(__('messages.Device Id')); ?></label>
							               <?php echo e(Form::text("",$data['record']->device_id,["class"=>"form-control","disabled"])); ?>

							            </div>
							            <div class="form-group">
							               <label for="inputName"><?php echo e(__('messages.Location')); ?></label>
							               <?php echo e(Form::text("",$data['record']->device_address,["class"=>"form-control","disabled"])); ?>

							            </div>

							            <div class="form-group">
							               <label for="inputName"><?php echo e(__('messages.Device Type')); ?> [5=5 port device]</label>
							               <?php echo e(Form::text("",$data['record']->device_type,["class"=>"form-control","disabled"])); ?>

							            </div>
							            <div class="row">
                                   	        <div class="col-6">
						               		<label for="inputName"><?php echo e(__('messages.Location name')); ?></label>
						               		<?php echo e(Form::text("location_name",$data['record']->location_name,["class"=>"form-control"])); ?>

						               		<div class="error"><?php echo e($errors->first("location_name")); ?></div>
							            	</div>
								            <div class="col-6">
								               <label for="inputName"><?php echo e(__('messages.Contact number')); ?></label>
								               <?php echo e(Form::text("contact_number",$data['record']->contact_number,["class"=>"form-control"])); ?>

								               <div class="error"><?php echo e($errors->first("contact_number")); ?></div>
								            </div>
								            
								        	</div>
							            <div class="row">
                                   	<div class="col-6">
                                       <label for=" "><?php echo e(__('messages.Opening time')); ?></label>
                                   
                                       <div class="input-group date" id="opening_time" data-target-input="nearest">
                                       <?php echo e(Form::text("opening_time",$data['record']->opening_time,["class"=>"timepicker form-control datetimepicker-input","data-target"=>"#opening_time"])); ?>

                                       <div class="input-group-append" data-target="#opening_time" data-toggle="datetimepicker">
                                         <div class="input-group-text"><i class="far fa-clock"></i></div>
                                       </div>
                                       </div>
                                       <div class="error"><?php echo e($errors->first('opening_time')); ?></div>
                                  	</div>

                                   	<div class="col-6">
                                       <label for=" "><?php echo e(__('messages.Closing time')); ?></label>
                                   
                                       <div class="input-group date" id="closing_time" data-target-input="nearest">
                                       <?php echo e(Form::text("closing_time",$data['record']->closing_time,["class"=>"timepicker form-control datetimepicker-input","data-target"=>"#closing_time"])); ?>

                                       <div class="input-group-append" data-target="#closing_time" data-toggle="datetimepicker">
                                      	<div class="input-group-text"><i class="far fa-clock"></i></div>
                                       </div>
                                    	</div>
                                    	<div class="error"><?php echo e($errors->first('closing_time')); ?></div>
                                   	</div>
                               	</div>
				            			<div class="form-group">
			                        	<?php echo e(Form::label("status",__('messages.Image'))); ?>

				                       	<input type="file" name="image">
				                       	<?php if(!empty($data['record']->image)): ?>
				                       	<img src="<?php echo e(url('public/upload/kioskProfile').'/'.$data['record']->image); ?>" height="80" width="80">
				                       	<?php endif; ?>
				                       	<div class="error"><?php echo e($errors->first('image')); ?></div>
					                	</div>
							            
						              	<div class="col-12">
								          <a href="<?php echo e(url('admin/kioskList')); ?>" class="btn btn-secondary"><?php echo e(__('messages.Cancel')); ?></a>
								          <input type="submit" value="<?php echo e(__('messages.Submit')); ?>" class="btn btn-success float-right">
								        </div>
							        <?php echo e(Form::close()); ?>

					            </div>
					            <!-- /.card-body -->
				          </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		        </div>
	    	</div>
		</div>
	</section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /**PATH /home/wwwcurzenncloud/public_html/power-bank/resources/views/admin/updateKioskInfo.blade.php ENDPATH**/ ?>