<?php

namespace App\Http\Middleware;

use Closure;

class AdminCheck
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $m = trans("messages.Please login first to access this module");
        $logged_id = $request->session()->get("id");
        $login_type = $request->session()->get("login_type");
        if(empty($logged_id) || $login_type != "Admin")
        {
            $request->session()->flash("message","<div class='alert alert-danger'>".$m."<strong></strong></div>");
           return redirect("admin");
        }

        return $next($request);
    }
}
