<?php

namespace App\Http\Middleware;

use Closure;
use App\Contactsection;
use App\Permissions;
use App\Permission_value;
use App\User_permission;
use DB;
class CheckLogin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $logged_id = $request->session()->get("id");
        $login_type = $request->session()->get("login_type");
        if(!empty($logged_id) && $login_type == "Admin")
        {
            return redirect("admin/dashboard");
        }
        return $next($request);
    }
}
