<?php

namespace App\Http\Requests;

use Illuminate\Http\Request;
use Illuminate\Http\JsonResponse;
use Illuminate\Validation\ValidationException;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Http\Exceptions\HttpResponseException;

use Illuminate\Foundation\Http\FormRequest;

class PromoValidation extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
        #echo "hello";die;
        return [
            'code_name' => 'required|unique:promocodes',
            'user' => 'required',
            'title' => 'required',
            'expiry_date' => 'required',
            'quantity' => 'required|numeric',
            'promo_type' => 'required',
            'discount_type' => 'required',
            'discounted_value' => 'required|numeric',
        ];
    }

}
