@include("admin.template.header")
@include("admin.template.sidebar")

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{$data['heading']}}</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">{{ __('messages.Dashboard')}}</a></li>
              <li class="breadcrumb-item active">{{$data['heading']}}</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
	<section class="content">
	    <div class="container-fluid">
	    <!-- Small boxes (Stat box) -->
	    	<div class="row">
	    		<div class="col-md-12">
      				{!! session("message") !!}
      			</div>	
	    		<div class="col-md-12">
			    	<div class="card">
		              <!-- /.card-header -->
		              <div class="card-body">
		              		<div class="card card-primary">
					            <div class="card-header">
					              <h3 class="card-title">{{$data['heading']}}</h3>

					              <div class="card-tools">
					                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                  <i class="fas fa-minus"></i>
					                </button>
					              </div>
					            </div>
					            <div class="card-body">
					              	{{Form::open(array("url"=>"admin/addFaqSubmit","method"=>"post"))}} 
							            <div class="form-group">
							               <label for="inputName">{{__('messages.Faq Type')}}</label>
							               <select class="form-control" name="type">
							               		<option value="0">{{__('messages.Select Type')}}</option>
							               		<option value="1111">{{__('messages.For all')}}</option>
							               		<option value="1">{{__('messages.User')}}</option>
							               </select>
							               <div class="error">{{$errors->first("question")}}</div>
							            </div>
							            <div class="form-group">
							               <label for="inputName">{{__('messages.Question')}}</label>
							               {{Form::text("question","",["class"=>"form-control"])}}
							               <div class="error">{{$errors->first("question")}}</div>
							            </div>
							            <div class="form-group">
							               <label for="inputName">{{__('messages.Answer')}}</label>
							               {{Form::textarea("answer","",["class"=>"form-control"])}}
							               <div class="error">{{$errors->first("answer")}}</div>
							            </div>
						              	<div class="col-12">
								          <a href="{{ url('admin/addfaq') }}" class="btn btn-secondary">Cancel</a>
								          <input type="submit" value="{{ __('messages.Submit') }}" class="btn btn-success float-right">
								        </div>
							        {{Form::close()}}
					            </div>
					            <!-- /.card-body -->
				          </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		        </div>
	    	</div>
		</div>
	</section>

@include("admin.template.footer")
