@include("admin.template.header")
@include("admin.template.sidebar")

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{$data['heading']}}</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">{{ __('messages.Dashboard')}}</a></li>
              <li class="breadcrumb-item active">{{$data['heading']}}</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
  <section class="content">
      <div class="container-fluid">
      <!-- Small boxes (Stat box) -->
        <div class="row">
          <div class="col-md-12">
              {!! session("message") !!}
            </div>  
          <div class="col-md-12">
            <div class="card">
                  <!-- /.card-header -->
                  <div class="card-body">
                    <table id="myTable" class="table table-bordered table-striped">
                      <thead>
                        <tr>
                        <th>{{ __('messages.Username')}}</th>
                        <th>{{ __('messages.Status')}}</th>
                        <th>{{ __('messages.Action')}}</th>
                      </tr>
                      </thead>
                      <tbody>
                        @forelse($allsubadmin as $value)
                        @php 
                          $id = Crypt::encryptString($value['id']);
                        @endphp
                      <tr>
                        <td>{{$value['username']}}</td>
                        <td>
                          @if($value['status'] == 0) {{ __('messages.Inactive')}}
                          @elseif($value['status'] == 1) {{ __('messages.Active')}}
                          @endif
                        </td>
                        <td>
                          @php 
                          $s_1 = Crypt::encryptString("0");
                          $s_2 = Crypt::encryptString("1");

                          $tablename = Crypt::encryptString("adminlogin");
                          @endphp

                          @if($value['status'] == 0) 
                          <a href="javascript:void(0)" onclick="Caidf('@php echo $id; @endphp','@php echo $s_2; @endphp','cudhuegdnbav','allsubadmin','@php echo $tablename; @endphp')">
                          {{ __('messages.Active')}} </a> 

                          @elseif($value['status'] == 1) 
                          <a href="javascript:void(0)" onclick="Caidf('@php echo $id; @endphp','@php echo $s_1; @endphp','cudhuegdnbav','allsubadmin','@php echo $tablename; @endphp')">
                          {{ __('messages.Inactive')}}
                          </a>
                          @endif
                          | <a href="{{url('admin/editsubadmin/'.$id)}}">{{ __('messages.Edit')}}</a>
                        </td>
                      </tr>
                      @empty
                      <p>{{ __('messages.No record')}}</p>
                      @endforelse   


                      </tbody>
                      <tfoot>
                      <tr>
                        <th>{{ __('messages.Username')}}</th>
                        <th>{{ __('messages.Status')}}</th>
                        <th>{{ __('messages.Action')}}</th>
                      </tr>
                      </tfoot>
                    </table>
                    @if(count($allsubadmin)>0)
                    <div class="pagination-link">{{$allsubadmin->links()}}</div>
                    @endif
                  </div>
                  <!-- /.card-body -->
                </div>
            </div>
        </div>
    </div>
  </section>

@include("admin.template.footer")
<script>
$(function () {
    $("#myTable").DataTable({
      "responsive": true,
      "autoWidth": false,
    });
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>