@include("admin.template.header")
@include("admin.template.sidebar")
<style type="text/css">.icon{ color:white !important;  }</style>
   <!-- Content Wrapper. Contains page content -->
   <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <div class="content-header">
         <div class="container-fluid">
            <div class="row mb-2">
               <div class="col-sm-6">
                  <h1 class="m-0 text-dark">{{ __("messages.Dashboard")}}</h1>
               </div><!-- /.col -->
               <div class="col-sm-6">
                  <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">{{ __("messages.Home")}}</a></li>
                    <li class="breadcrumb-item active">{{ __("messages.Dashboard")}}</li>
                  </ol>
               </div><!-- /.col -->
            </div><!-- /.row -->
         </div><!-- /.container-fluid -->
      </div>
      <!-- /.content-header -->

      <!-- Main content -->
      <section class="content">
         <div class="container-fluid">
            <!-- Small boxes (Stat box) -->
            <div class="row">
               <div class="col-lg-3 col-6">
                  <!-- small box -->
                  <div class="small-box bg-red">
                     <div class="inner">
                        <h3>{{$data['block_user']}}</h3>
                        <p>{{ __("messages.Blocked Users") }}</p>
                     </div>
                     <div class="icon">
                        <i class="ion ion-person-add"></i>
                     </div>
                     <a href="{{url('admin/blockedUser')}}" class="small-box-footer">{{ __("messages.More info") }} <i class="fa fa-arrow-circle-right"></i></a>
                  </div>
               </div>
               <div class="col-lg-3 col-6">
                  <!-- small box -->
                  <div class="small-box bg-yellow">
                     <div class="inner">
                        <h3>{{$data['new_user']}}</h3>
                        <p>{{ __("messages.Hold User") }}</p> 
                     </div>
                     <div class="icon">
                        <i class="ion ion-person-add"></i>
                     </div>
                     <a href="{{url('admin/newUser')}}" class="small-box-footer">{{ __("messages.More info") }} <i class="fa fa-arrow-circle-right"></i></a>
                  </div>
               </div>
               <div class="col-lg-3 col-6">
                  <!-- small box -->
                  <div class="small-box bg-green">
                     <div class="inner">
                        <h3>{{$data['total_user']}}</h3>
                        <p>{{ __("messages.All user") }}</p>
                     </div>
                     <div class="icon">
                        <i class="ion ion-person-add"></i>
                     </div>
                     <a href="{{url('admin/allUser')}}" class="small-box-footer">{{ __("messages.More info") }} <i class="fa fa-arrow-circle-right"></i></a>
                  </div>
               </div>

               <div class="col-lg-3 col-6">
                  <!-- small box -->
                  <div class="small-box bg-green">
                     <div class="inner">
                        <h3>0</h3>
                        <p>{{ __("messages.Ongoing Rentals") }}</p>
                     </div>
                     <div class="icon">
                        <i class="ion ion-pie-graph"></i>
                     </div>
                     <a href="{{url('admin/currentRental')}}" class="small-box-footer">{{ __("messages.More info") }} <i class="fa fa-arrow-circle-right"></i></a>
                  </div>
               </div>

               <div class="col-lg-3 col-6">
                  <!-- small box -->
                  <div class="small-box bg-info">
                     <div class="inner">
                        <h3>0</h3>
                        <p>{{ __("messages.Completed Rentals") }}</p>
                     </div>
                     <div class="icon">
                        <i class="ion ion-pie-graph"></i>
                     </div>
                     <a href="{{url('admin/pastRental')}}" class="small-box-footer">{{ __("messages.More info") }} <i class="fa fa-arrow-circle-right"></i></a>
                  </div>
               </div>
            </div>
            <!-- /.row -->
            <!-- Main row -->
        
            <!-- /.row (main row) -->
         </div><!-- /.container-fluid -->
      </section>
      <!-- /.content -->

      <section class="content">
         <div class="container-fluid">
            <div class="row">
               <div class="col-md-6">
                  <!-- BAR CHART -->
                  <div class="card card-success">
                     <div class="card-header">
                        <h3 class="card-title">{{__('messages.Rental revenue')}}</h3>

                        <div class="card-tools">
                           <button type="button" class="btn btn-tool" data-card-widget="collapse">
                             <i class="fas fa-minus"></i>
                           </button>
                           <button type="button" class="btn btn-tool" data-card-widget="remove">
                             <i class="fas fa-times"></i>
                           </button>
                        </div>
                     </div>
                     <div class="card-body">
                        <div class="chart"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
                        <canvas id="barChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%; display: block; width: 487px;" width="487" height="250" class="chartjs-render-monitor"></canvas>
                        </div>
                     </div>
                    <!-- /.card-body -->
                  </div>
                  <!-- /.card -->
               </div>
               <div class="col-md-6">
                  <!-- DONUT CHART -->
                  <div class="card card-danger">
                     <div class="card-header">
                        <h3 class="card-title">{{__('messages.Battery Chart')}}</h3>
                        <div class="card-tools">
                           <button type="button" class="btn btn-tool" data-card-widget="collapse">
                             <i class="fas fa-minus"></i>
                           </button>
                           <button type="button" class="btn btn-tool" data-card-widget="remove">
                             <i class="fas fa-times"></i>
                           </button>
                        </div>
                     </div>
                     <div class="card-body"><div class="chartjs-size-monitor"><div class="chartjs-size-monitor-expand"><div class=""></div></div><div class="chartjs-size-monitor-shrink"><div class=""></div></div></div>
                        <canvas id="donutChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%; display: block; width: 487px;" width="487" height="250" class="chartjs-render-monitor"></canvas>
                     </div>
                     <!-- /.card-body -->
                  </div>
                  <!-- /.card -->
               </div>
            </div>
            <!-- /.row -->
         </div><!-- /.container-fluid -->
      </section>
   </div>
   <!-- /.content-wrapper -->
   <footer class="main-footer">
    <strong>{{ __("messages.Copyright") }} &copy; 2021-2022 <a href="{{url('/')}}">Power-Bank</a>.</strong>
    {{ __("messages.All rights reserved") }}.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.1.0-pre
    </div>
   </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="{{ url('public/admin-js-css/plugins/jquery/jquery.min.js') }}"></script>
<!-- jQuery UI 1.11.4 -->
<script src="{{ url('public/admin-js-css/plugins/jquery-ui/jquery-ui.min.js') }}"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<script src="{{ url('public/admin-js-css/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<!-- ChartJS -->
<script src="{{ url('public/admin-js-css/plugins/chart.js/Chart.min.js') }}"></script>
<!-- Sparkline -->
<script src="{{ url('public/admin-js-css/plugins/sparklines/sparkline.js') }}"></script>
<!-- JQVMap -->
<script src="{{ url('public/admin-js-css/plugins/jqvmap/jquery.vmap.min.js') }}"></script>
<script src="{{ url('public/admin-js-css/plugins/jqvmap/maps/jquery.vmap.usa.js') }}"></script>
<!-- jQuery Knob Chart -->
<script src="{{ url('public/admin-js-css/plugins/jquery-knob/jquery.knob.min.js') }}"></script>
<!-- daterangepicker -->
<script src="{{ url('public/admin-js-css/plugins/moment/moment.min.js') }}"></script>
<script src="{{ url('public/admin-js-css/plugins/daterangepicker/daterangepicker.js') }}"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="{{ url('public/admin-js-css/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js') }}"></script>
<!-- Summernote -->
<script src="{{ url('public/admin-js-css/plugins/summernote/summernote-bs4.min.js') }}"></script>
<!-- overlayScrollbars -->
<script src="{{ url('public/admin-js-css/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js') }}"></script>
<!-- AdminLTE App -->
<script src="{{ url('public/admin-js-css/dist/js/adminlte.js') }}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script>
   $(function () {
      var donutChartCanvas = $('#donutChart').get(0).getContext('2d')
      var donutData        = {
         labels: [
             'Totale','Location','Disponible',
         ],
         datasets: [
         {
          data: [700,500,400],
          backgroundColor : ['#f56954', '#00a65a', '#f39c12'],
         }]
      }
      var donutOptions     = {
      maintainAspectRatio : false,
      responsive : true,
      }
      //Create pie or douhnut chart
      // You can switch between pie and douhnut using the method below.
      var donutChart = new Chart(donutChartCanvas, {
         type: 'doughnut',
         data: donutData,
         options: donutOptions
      })


      //-------------
      //- BAR CHART -
      //-------------
      var areaChartData = {
         labels  : ['January', 'February', 'March', 'April', 'May', 'June', 'July'],
         datasets: [{
             label               : 'Mensuel',
             backgroundColor     : 'rgba(60,141,188,0.9)',
             borderColor         : 'rgba(60,141,188,0.8)',
             pointRadius          : false,
             pointColor          : '#3b8bba',
             pointStrokeColor    : 'rgba(60,141,188,1)',
             pointHighlightFill  : '#fff',
             pointHighlightStroke: 'rgba(60,141,188,1)',
             data                : [28, 48, 40, 19, 86, 27, 90]
         },
         {
          label               : 'Hebdomadaire',
          backgroundColor     : 'rgba(210, 214, 222, 1)',
          borderColor         : 'rgba(210, 214, 222, 1)',
          pointRadius         : false,
          pointColor          : 'rgba(210, 214, 222, 1)',
          pointStrokeColor    : '#c1c7d1',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(220,220,220,1)',
          data                : [65, 59, 80, 81, 56, 55, 40]
         },
      ]}


      var barChartCanvas = $('#barChart').get(0).getContext('2d')
      var barChartData = $.extend(true, {}, areaChartData)
      var temp0 = areaChartData.datasets[0]
      var temp1 = areaChartData.datasets[1]
      barChartData.datasets[0] = temp1
      barChartData.datasets[1] = temp0

      var barChartOptions = {
         responsive              : true,
         maintainAspectRatio     : false,
         datasetFill             : false
      }

      var barChart = new Chart(barChartCanvas, {
         type: 'bar',
         data: barChartData,
         options: barChartOptions
      })

    
  })
</script>
</body>
</html>
