@include("admin.template.header")
@include("admin.template.sidebar")

     <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/css/bootstrap-multiselect.css">
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{$data['heading']}}</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">{{ __('messages.Dashboard')}}</a></li>
              <li class="breadcrumb-item active">{{$data['heading']}}</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
	<section class="content">
	    <div class="container-fluid">
	    <!-- Small boxes (Stat box) -->
	    	<div class="row">
	    		<div class="col-md-12">
      				{!! session("message") !!}
      			</div>	
	    		<div class="col-md-12">
			    	<div class="card">
		              <!-- /.card-header -->
		              <div class="card-body">
		              		<div class="card card-primary">
					            <div class="card-header">
					              <h3 class="card-title">{{ __('messages.sendEmailNotification') }}</h3>

					              <div class="card-tools">
					                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                  <i class="fas fa-minus"></i>
					                </button>
					              </div>
					            </div>
					            <div class="card-body">
					            	{{Form::open(array("method"=>"post","url"=>"admin/sendEmailNotificationSubmit","files"=>true))}}
					            	{{Form::hidden("names",$data['names'],["class"=>"form-control"])}}

					            	@if($data["names"] == "restaurant")
					                <div class="col-md-12 wa_new_select wa_scroll wa_assing_availabilitity">
					                  <label>{{ __('messages.Time Slot') }}</label>

					                  <select class="form-control timeSlot" name="users[]" id="timeSlot"  multiple="multiple">

					                     <!-- <option value="">{{ __("messages.Please select") }}</option> -->
					                     @forelse($data["record"] as $drivrValue)

					                        <option value="{{$drivrValue->id}}">{{$drivrValue->outlet_name}}</option>
					                     @empty
					                        <p>{{ __('messages.no_record')}}</p>
					                     @endforelse
					                  </select>
					                  <div class="error">{{ $errors->first('users') }}</div>
					               </div>
					               @else
					               <div class="col-md-12 wa_new_select wa_scroll wa_assing_availabilitity">
					                  <label>{{ __('messages.Time Slot') }}</label>

					                  <select class="form-control timeSlot" name="users[]" id="timeSlot"  multiple="multiple">

					                     <!-- <option value="">{{ __("messages.Please select") }}</option> -->
					                     @forelse($data["record"] as $drivrValue)
					                     	
					                        <option value="{{$drivrValue->id}}">{{$drivrValue->fullname}}</option>
					                     @empty
					                        <p>{{ __('messages.no_record')}}</p>
					                     @endforelse
					                  </select>
					                  <div class="error">{{ $errors->first('users') }}</div>
					               </div>
					               @endif
					                <div class="col-md-12">
					                      <div class="form-group"> 
					                          {{Form::label("Category",__('messages.Message Text'))}}
					                          {{Form::textarea("message","",["class"=>"form-control"])}}
					                          <div class="error">{{ $errors->first('message') }}</div>
					                      </div>                  
					                    </div>
					                
					                    <div class="col-md-12">
					                      <div class="form-group">
					                          {{Form::submit(__('messages.Submit'),["class"=>"btn btn-primary"])}}
					                      </div>                  
					                    </div>
					                  {{Form::close()}}

					            </div>
					            <!-- /.card-body -->
				          </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		        </div>
	    	</div>
		</div>
	</section>

@include("admin.template.footer")

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-multiselect/0.9.15/js/bootstrap-multiselect.min.js"></script>
<script type="text/javascript">

$('.timeSlot').multiselect({
  columns: 1,
});

$(document).ready(function(){
    $('.check:button').toggle(function(){
        $('#timeSlot').attr('checked','checked');
        $(this).val('uncheck all')
    },function(){
        $('#timeSlot').removeAttr('checked');
        $(this).val('check all');        
    })
})


</script>