<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
            <div class="row">
                <div class="col-md-12">
                    <?php echo session("message"); ?>

                </div>  
                <div class="col-md-12">
                    <div class="card">
                      <!-- /.card-header -->
                      <div class="card-body">
                        <?php if(count($data["record"])>0): ?>
                        <?php $id = Crypt::encryptString($data["record"][0]["id"]); ?>
                            <table class="table">
                               <thead>
                                  <tr>
                                    <th><?php echo e(__('messages.Label')); ?></th>
                                    <th><?php echo e(__('messages.Value')); ?></th>
                                  </tr>
                               </thead>
                               <tbody>
                                  <tr>
                                     <td><?php echo e(__('messages.Fullname')); ?></td>
                                     <td><?php echo e($data["record"][0]["fullname"]); ?></td>
                                  </tr>
                                  <tr>
                                     <td><?php echo e(__('messages.Email')); ?></td>
                                     <td><?php echo e($data["record"][0]["email"]); ?></td>
                                  </tr>
                                  <tr>
                                     <td><?php echo e(__('messages.Telephone Number')); ?></td>
                                     <td><?php echo e($data["record"][0]["mobNumber"]); ?></td>
                                  </tr>
                                  
                                  <tr>
                                     <td><?php echo e(__('messages.Registered date')); ?></td>
                                     <td><?php echo e(date("d/m/Y", strtotime($data["record"][0]["created_at"]) )); ?></td>
                                  </tr>
                                  <tr>
                                     <td><?php echo e(__('messages.Status')); ?></td>
                                     <td>
                                        <?php if($data["record"][0]["status"] == 0): ?> <?php echo e(__('messages.Hold')); ?>

                                        <?php elseif($data["record"][0]["status"] == 1): ?> <?php echo e(__('messages.Approved')); ?>

                                        <?php elseif($data["record"][0]["status"] == 2): ?> <?php echo e(__('messages.Unapproved')); ?>

                                        <?php elseif($data["record"][0]["status"] == 3): ?> <?php echo e(__('messages.Blocked')); ?>

                                        <?php endif; ?>
                                     </td>
                                  </tr>
                                  <tr>
                                     <td><?php echo e(__('messages.Image')); ?></td>
                                     <td>
                                        <?php if(!empty($data["record"][0]["image"])): ?>
                                        <?php
                                        $destinationPath = public_path('/upload/usersProfile');
                                        $file_pointer = $destinationPath.'/'.$data["record"][0]["image"];
                                        if (file_exists($file_pointer)){
                                        ?>
                                        <div class="timeline-item">
                                           <div class="timeline-body">
                                              <img  alt="User image" height="150" width="150" src="<?php echo e(url('public/upload/usersProfile').'/'.$data["record"][0]["image"]); ?>">
                                           </div>
                                        </div>
                                        <?php } ?>
                                        <?php endif; ?>
                                     </td>
                                  </tr>
                               </tbody>
                            </table>
                        <?php endif; ?>
                                    
                      </div>
                      <!-- /.card-body -->
                    </div>
                </div>
            </div>
        </div>
    </section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\power-bank\resources\views/admin/userDetail.blade.php ENDPATH**/ ?>