<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
  <section class="content">
      <div class="container-fluid">
      <!-- Small boxes (Stat box) -->
        <div class="row">
          <div class="col-md-12">
              <?php echo session("message"); ?>

            </div>  
          <div class="col-md-12">
            <div class="card">
                  <!-- /.card-header -->
                  <div class="card-body">
                      <div class="card card-primary">
                      <div class="card-header">
                        <h3 class="card-title">General</h3>

                        <div class="card-tools">
                          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                            <i class="fas fa-minus"></i>
                          </button>
                        </div>
                      </div>
                      <div class="card-body">
                        <?php echo e(Form::open(array("url"=>"admin/subadminSubmit","method"=>"post"))); ?>

                          <div class="box-body">
                            <div class="form-group">
                              <label for="username"><?php echo e(__('messages.Username')); ?></label>
                              <input type="text" class="form-control" id="username" name="username">
                               <div class="error"><?php echo e($errors->first("username")); ?></div>
                            </div>
                            <div class="form-group">
                               <label for="password"><?php echo e(__('messages.Password')); ?></label>
                               <input type="password" class="form-control" id="password" name="password">
                               <div class="error"><?php echo e($errors->first("password")); ?></div>
                            </div>
                         </div>
                        <!-- /.box-body -->

                        <div class="box-footer">
                            <?php echo e(Form::submit( __('messages.Submit'),["class"=>"btn btn-primary"])); ?>

                        </div>
                      <?php echo e(Form::close()); ?>

                      </div>
                      <!-- /.card-body -->
                  </div>
                  </div>
                  <!-- /.card-body -->
                </div>
            </div>
        </div>
    </div>
  </section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /**PATH /home/wwwcurzenncloud/public_html/power-bank/resources/views/admin/addsubadmin.blade.php ENDPATH**/ ?>