<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
	<section class="content">
	    <div class="container-fluid">
	    <!-- Small boxes (Stat box) -->
	    	<div class="row">
	    		<div class="col-md-12">
      				<?php echo session("message"); ?>

      			</div>	
	    		<div class="col-md-12">
			    	<div class="card">
		              <!-- /.card-header -->
		              <div class="card-body">
		              	<div class="src-filter">
		               	    <div class="card card-primary">

		               	    	<div class="row"> 
							        <div class="col-lg-4 col-6">
							          <!-- small box -->
							          <div class="small-box bg-warning">
							            <div class="inner">
							              <h3><?php echo e($data['unaprov_user']); ?></h3>

							              <p><?php echo e(__("messages.Unapproved user")); ?></p>
							            </div>
							            <div class="icon">
							              <i class="ion ion-person-add"></i>
							            </div>
							          </div>
							        </div>
							        <div class="col-lg-4 col-6">
							          <!-- small box -->
							          <div class="small-box bg-black color-palette">
							            <div class="inner">
							              <h3><?php echo e($data['total_user']); ?></h3>

							              <p><?php echo e(__("messages.All user")); ?></p>
							            </div>
							            <div class="icon">
							             <i class="ion ion-person-add" style="color: #fff;"></i>
							            </div>
							          </div>
							        </div>
							        <div class="col-lg-4 col-6">
							          <!-- small box -->
							          <div class="small-box bg-danger color-palette">
							            <div class="inner">
							              <h3><?php echo e($data['block_user']); ?></h3>

							              <p><?php echo e(__("messages.Blocked Users")); ?></p>
							            </div>
							            <div class="icon">
							          <i class="ion ion-person-add"></i>
							            </div>
							          </div>
							        </div>     
								</div>


					            <div class="card-header">
					              <h3 class="card-title"><?php echo e(__('messages.User Filter')); ?></h3>

					              <div class="card-tools">
					                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                  <i class="fas fa-minus"></i>
					                </button>
					              </div>
					            </div>
					            <div class="card-body">
					            	<?php echo e(Form::open(array("url"=>"admin/allUser",'method' => 'get'))); ?>

						              <div class="row">
						                  <div class="col-md-3">
						                      <div class="form-group">
        						                <?php echo e(Form::label("status",__('messages.Status'))); ?>

        
        		    
        			                              <select class="form-control" name="status" id="status">
        					                          <option value=""><?php echo e(__('messages.Please select status')); ?></option>
        					                          <option value="hold" <?php if(isset($_GET["status"])){ if($_GET["status"] == "hold"){ echo "selected"; } }  ?>><?php echo e(__('messages.Hold')); ?></option>
        					                          <option value="2" <?php if(isset($_GET["status"])){ if($_GET["status"] == "1"){ echo "selected"; } }  ?>><?php echo e(__('messages.Unapproved')); ?></option>
        					                          <option value="1" <?php if(isset($_GET["status"])){ if($_GET["status"] == "2"){ echo "selected"; }  }  ?>><?php echo e(__('messages.Approved')); ?></option>
        					                        </select>
        						              </div>
						                  </div>
						                  <div class="col-md-3">
						                      <div class="form-group">
        						                <?php echo e(Form::label("name",__('messages.Fullname'))); ?>

        		                              	<input type="text" class="form-control" name="fullname" value="<?php if(isset($_GET['fullname'])) echo $_GET['fullname']; ?>">
        						              </div>
						                  </div>
						                  <div class="col-md-3">
						                      <div class="form-group">
        						                <?php echo e(Form::label("status",__('messages.Email'))); ?>

        	                       				<input type="text" name="email" value="<?php if(isset($_GET["email"])){  echo $_GET["email"];  }  ?>" class="form-control">
        						              </div>
						                  </div>
						                  <div class="col-md-3">
						                      <div class="form-group">
        						                <?php echo e(Form::label("status",__('messages.Telephone Number'))); ?>

        	                       				<input type="text" name="telephone" value="<?php if(isset($_GET["telephone"])){  echo $_GET["telephone"];  }  ?>" class="form-control">
        						              </div>
						                  </div>
						                  <div class="col-md-3">
						                      <div class="form-group">
                                                <label>Register From-To date:</label>
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">
                                                            <i class="far fa-calendar-alt"></i>
                                                        </span>
                                                    </div>
                                                    <input type="text" class="form-control float-right" id="add_from_to" name="add_from_to">
                                                </div>
                                                <!-- /.input group -->
                                            </div>
						                  </div>
						              </div>
						              <div class="col-12">
								          <a href="<?php echo e(url('admin/allUser')); ?>" class="btn btn-danger"><?php echo e(__('messages.Reset')); ?></a>
									          <?php echo e(Form::submit(__('messages.Search'),['name' => 'searchsubmit', "class"=>"btn btn-warning"])); ?>

					                            <?php if(count($userList) > 0): ?>
					                         <?php echo e(Form::submit(__('messages.Export'),['name' => 'exportsubmit', "class"=>"btn btn-success"])); ?>

					                         <?php endif; ?>
								        </div>
							        <?php echo e(Form::close()); ?>

					            </div>
					            <!-- /.card-body -->
				          	</div>
		                </div>	
		                <table id="myTable" class="table table-bordered table-striped">
		                  <thead>
		                  <tr>
		                    <th><?php echo e(__('messages.ID')); ?></th>
		                    <th><?php echo e(__('messages.Fullname')); ?></th>
		                    <th><?php echo e(__('messages.Email')); ?></th>
		                    <th><?php echo e(__('messages.Telephone Number')); ?></th>
		                    <th><?php echo e(__('messages.Registered date')); ?></th>
		                    <th style="width: 8%" class="text-center">
		                        <?php echo e(__('messages.Status')); ?>

		                    </th>
		                    <th style="width: 20%">
		                    	<?php echo e(__('messages.Action')); ?>

		                    </th>
		                  </tr>
		                  </thead>
		                  <tbody>
		                  	<?php $x= 1; ?>
	                		<?php $__empty_1 = true; $__currentLoopData = $userList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $userValue): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
	                		<?php $id = Crypt::encryptString($userValue->id); ?>
	                		<tr>
			                  <td><?php echo e($userValue->id); ?></td>
			                  <td><?php echo e($userValue->fullname); ?></td>
			                  <td><?php echo e($userValue->email); ?></td>
			                  <td><?php echo e($userValue->mobNumber); ?></td>
			                  
			                  <td>
			                  	<?php
			                  	#created_at
				                  	$var = $userValue->created_at;
														echo date("d/m/Y", strtotime($var) );
													?>	
			                  </td>
			                  <td>
			                  	<?php if($userValue->status == 0): ?><span class="badge badge-warning"> <?php echo e(__('messages.Hold')); ?></span>
			                  	<?php elseif($userValue->status == 1): ?><span class="badge badge-danger"><?php echo e(__('messages.Unapproved')); ?></span>
			                  	<?php elseif($userValue->status == 2): ?><span class="badge badge-success"> <?php echo e(__('messages.Approved')); ?></span>
			                  	<?php elseif($userValue->status == 3): ?><span class="badge badge-danger"> <?php echo e(__('messages.Blocked')); ?></span>
			                  	<?php endif; ?>
			                  </td>
			                  <td>
			                  	<!-- 1=inactive  2=Active  3=Delete--->
			                  	<?php 
				                 
				                  $s_1 = Crypt::encryptString("1"); 
				                  $s_2 = Crypt::encryptString("2");
				                  $s_3 = Crypt::encryptString("3");

				                  $tablename = Crypt::encryptString("users");
				                  #$tablename = "users";
				                  ?>

			                  	<?php if($userValue->status == 1): ?> 
			                  	<a class="btn btn-danger btn-sm"  href="javascript:void(0)" onclick="Caidf('<?php echo $id; ?>','<?php echo $s_3; ?>','cudhuegdnbav','allUser','<?php echo $tablename; ?>')"><?php echo e(__("messages.Block User")); ?></a>
			                  	<a class="btn btn-success btn-sm" href="javascript:void(0)" onclick="Caidf('<?php echo $id; ?>','<?php echo $s_2; ?>','cudhuegdnbav','allUser','<?php echo $tablename; ?>')"><?php echo e(__('messages.Approve User')); ?></a> 
			                  	
			                  	
			                  	<?php elseif($userValue->status == 2): ?> 
			                  		<a class="btn btn-danger btn-sm"  href="javascript:void(0)" onclick="Caidf('<?php echo $id; ?>','<?php echo $s_3; ?>','cudhuegdnbav','allUser','<?php echo $tablename; ?>')"><?php echo e(__("messages.Block User")); ?></a>
			                  		<a class="btn btn-danger btn-sm" href="javascript:void(0)" onclick="Caidf('<?php echo $id; ?>','<?php echo $s_1; ?>','cudhuegdnbav','allUser','<?php echo $tablename; ?>')"><?php echo e(__('messages.Unapprove User')); ?></a>
			                  	<?php elseif($userValue->status == 0): ?> 
			                  		<a class="btn btn-success btn-sm" href="javascript:void(0)" onclick="Caidf('<?php echo $id; ?>','<?php echo $s_2; ?>','cudhuegdnbav','allUser','<?php echo $tablename; ?>')">
			                  	        <?php echo e(__('messages.Approve User')); ?>

			                  	    </a>  
			                  	    <a class="btn btn-danger btn-sm" href="javascript:void(0)" onclick="Caidf('<?php echo $id; ?>','<?php echo $s_1; ?>','cudhuegdnbav','allUser','<?php echo $tablename; ?>')"><?php echo e(__("messages.Unapprove User")); ?></a>
			                  	    </a>
			                  	<?php endif; ?>
			                  	 
			                    <a class="btn btn-primary btn-sm" href="<?php echo e(url('admin/userDetail').'/'.$id); ?>"><i class="fas fa-folder">
		                              </i>
	                              <?php echo e(__("messages.View")); ?></a>
	                              <a class="btn btn-primary btn-sm" href="<?php echo e(url('admin/resetUserPass'.'/'.$id)); ?>"><?php echo e(__('messages.Reset Password')); ?></a>
	                		</tr>
	                		<?php $x++; ?>
	                		<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                			<p><?php echo e(__('messages.no_record')); ?></p>

	                		<?php endif; ?>
			                    
		                  </tbody>
		                  <tfoot>
		                  <tr>
		                    <th>ID</th>
		                    <th><?php echo e(__('messages.Fullname')); ?></th>
		                    <th><?php echo e(__('messages.Email')); ?></th>
		                    <th><?php echo e(__('messages.Telephone Number')); ?></th>
		                    <th><?php echo e(__('messages.Registered date')); ?></th>
		                    <th style="width: 8%" class="text-center">
		                        Status
		                    </th>
		                    <th style="width: 20%">
		                    	Action
		                    </th>
		                  </tr>
		                  </tfoot>
		                </table>
		                <?php if(count($userList)>0): ?>
		            	<div class="pagination-link"><?php echo e($userList->links()); ?></div>
		            	<?php endif; ?>
		              </div>
		              <!-- /.card-body -->
		            </div>
		        </div>
	    	</div>
		</div>
	</section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script>
$(function () {
    $("#myTable").DataTable({
    	aaSorting : [[0, 'desc']],
      "responsive": true,
      "autoWidth": false,
    });
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script><?php /**PATH C:\xampp\htdocs\power-bank\resources\views/admin/allUser.blade.php ENDPATH**/ ?>