<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
	<section class="content">
	    <div class="container-fluid">
	    <!-- Small boxes (Stat box) -->
	    	<div class="row">
	    		<div class="col-md-12">
      				<?php echo session("message"); ?>

      			</div>	
	    		<div class="col-md-12">
			    	<div class="card">
		              <!-- /.card-header -->
		              <div class="card-body">
		              		<div class="card card-primary">
					            <div class="card-header">
					              <h3 class="card-title"><?php echo e($data['heading']); ?></h3>

					              <div class="card-tools">
					                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                  <i class="fas fa-minus"></i>
					                </button>
					              </div>
					            </div>
					            <div class="card-body">
					            	<?php echo e(Form::open(array("url"=>"admin/privacyPolicySubmit",'method' => 'post',"files"=>true))); ?>	
							              <div class="form-group">
							                <label for="inputDescription">Message</label>
							                <textarea id="inputDescription" class="textareaEditor" class="form-control" rows="20" cols="20" name="content"><?php echo e($data["record"][0]["content"]); ?></textarea>
							                <div class="error"><?php echo e($errors->first('content')); ?></div>
							              </div>
							              
							              	<div class="col-12">
									          <a href="#" class="btn btn-secondary"><?php echo e(__('messages.Cancel')); ?></a>
									          <input type="submit" value="<?php echo e(__('messages.Submit')); ?>" class="btn btn-success float-right">
									        </div>
									<?php echo e(Form::close()); ?>        
					            </div>
					            <!-- /.card-body -->
				          </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		        </div>
	    	</div>
		</div>
	</section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script src="<?php echo e(url('public/admin-js-css/plugins/summernote/summernote-bs4.min.js')); ?> "></script>
<script>
  $(function () {
    // Summernote
    $('.textareaEditor').summernote()
  })
</script><?php /**PATH C:\xampp\htdocs\power-bank\resources\views/admin/privacyPolicy.blade.php ENDPATH**/ ?>