<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
   <section class="content">
       <div class="container-fluid">
       <!-- Small boxes (Stat box) -->
         <div class="row">
            <div class="col-md-12">
               <?php echo session("message"); ?>

            </div>   
            <div class="col-md-12">
               <div class="card">
                  <!-- /.card-header -->
                  <div class="card-body">
                     <div class="src-filter">
                        <div class="card card-primary">
                           
                           <!-- /.card-body -->
                        </div>
                     </div>  
                     <table id="myTable" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                              <th><?php echo e(__('messages.ID')); ?></th>
                              <th style="width: 8%" class="text-center">
                                 <?php echo e(__('messages.Order Id')); ?>

                              </th>
                              <th><?php echo e(__('messages.Device Id')); ?></th>
                              <th><?php echo e(__('messages.Battery Id')); ?></th>
                              <th><?php echo e(__('messages.Rental Status')); ?></th>
                              <th><?php echo e(__('messages.Order Status')); ?></th>
                              <th><?php echo e(__('messages.Rental Time')); ?></th>
                              <th><?php echo e(__('messages.Return time')); ?></th>
                              <th><?php echo e(__('messages.Deposit amount')); ?></th>
                              <th><?php echo e(__('messages.Order amount')); ?></th>
                              <th><?php echo e(__('messages.Action')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                           <?php $x= 1; ?>
                           <?php $__empty_1 = true; $__currentLoopData = $data["orderList"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                           <?php $id = Crypt::encryptString($value->id); ?>
                            <tr>
                                <td><?php echo e($value->id); ?></td>
                                <td><?php echo e($value->order_id); ?></td>
                                <td><a href="<?php echo e(url('admin/listBatteries?deviceId='.$value->device_id.'&searchsubmit=Search')); ?>"><?php echo e($value->device_id); ?></a></td>
                                <td><?php echo e($value->battery_id); ?></td>
                                <td>
                                    <?php if($value->rental_status === '1'): ?>
                                    <span class="bg-success"><?php echo e(__('messages.Success')); ?></span>
                                    <?php elseif($value->rental_status === '0'): ?>
                                    <span class="bg-danger"><?php echo e(__('messages.Failure')); ?></span>
                                    <?php endif; ?>
                                </td>
                              <td></td>
                              <td><?php echo e($value->rented_time); ?></td>
                              <td><?php echo e($value->return_time); ?></td>
                              <td><?php echo e($value->deposit_amount); ?></td>
                              <td></td>
                              <td></td>
                           </tr>
                           <?php $x++; ?>
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                           

                           <?php endif; ?>     
                        </tbody>
                        <tfoot>
                        <tr>
                            <th><?php echo e(__('messages.ID')); ?></th>
                            <th style="width: 8%" class="text-center">
                                 <?php echo e(__('messages.Order Id')); ?>

                            </th>
                            <th><?php echo e(__('messages.Device Id')); ?></th>
                            <th><?php echo e(__('messages.Battery Id')); ?></th>
                            <th><?php echo e(__('messages.Rental Status')); ?></th>
                            <th><?php echo e(__('messages.Order Status')); ?></th>
                            <th><?php echo e(__('messages.Rental Time')); ?></th>
                            <th><?php echo e(__('messages.Return time')); ?></th>
                            <th><?php echo e(__('messages.Deposit amount')); ?></th>
                            <th><?php echo e(__('messages.Order amount')); ?></th>
                            <th><?php echo e(__('messages.Action')); ?></th>
                        </tr>
                        </tfoot>
                     </table>
                     <?php if(!empty($data["orderList"])): ?>
                     <?php echo e($data["orderList"]->appends(request()->input())->links()); ?>

                     <?php endif; ?> 
                  </div>
              </div>
         </div>
      </div>
   </section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script>
$(function () {
    $("#myTable").DataTable({
        aaSorting : [[0, 'desc']],
        "responsive": true,
        "autoWidth": false,
        "language": {
            "emptyTable": "<?php echo e(__('messages.no_record')); ?>"
        },
        
        "searching": false,   // Search Box will Be Disabled
        "ordering": false,    // Ordering (Sorting on Each Column)will Be Disabled
        "info": true,         // Will show "1 to n of n entries" Text at bottom
        "lengthChange": false // Will Disabled Record number per page
    });
});
</script><?php /**PATH /home/wwwcurzenncloud/public_html/power-bank/resources/views/admin/allRental.blade.php ENDPATH**/ ?>