<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
                <li class="breadcrumb-item"><a href="<?php echo e(url('admin/allUser')); ?>"><?php echo e(__('messages.All Users')); ?></a></li>
                <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
	<section class="content">
	    <div class="container-fluid">
	    <!-- Small boxes (Stat box) -->
	    	<div class="row">
	    		<div class="col-md-12">
      				<?php echo session("message"); ?>

      			</div>	
	    		<div class="col-md-12">
			    	<div class="card">
		              <!-- /.card-header -->
		              <div class="card-body">
		              		<div class="card card-primary">
					            <div class="card-header">
					              <h3 class="card-title"><?php echo e($data['heading']); ?></h3>

					              <div class="card-tools">
					                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                  <i class="fas fa-minus"></i>
					                </button>
					              </div>
					            </div>
					            <div class="card-body">
					            	 <?php echo e(Form::open(array("url"=>"admin/userPassSubmit","method"=>"post"))); ?> 
					            	<?php echo e(Form::hidden("id",$data["record"][0]['id'],["class"=>"form-control"])); ?>

										
						                <div class="form-group">
						                    <label for="email"><?php echo e(__('messages.Email')); ?></label>
                                            <input type="email" class="form-control" id="email" readonly value="<?php echo e($data['record']->email); ?>">
						                </div>
						                <div class="form-group">
                                            <?php echo e(Form::label("new_pass",__('messages.New Password'))); ?>

                                            <?php echo e(Form::password("new_pass",["class"=>"form-control","id"=>"new_pass"])); ?>

                                            <div class="error"><?php echo e($errors->first("new_pass")); ?></div>
                                        </div>
                                        <div class="form-group">
                                            <?php echo e(Form::label("confirm_pass",__('messages.Confirm Password'))); ?>

                                            <?php echo e(Form::password("confirm_pass",["class"=>"form-control","id"=>"confirm_pass"])); ?>

                                            <div class="error"><?php echo e($errors->first("confirm_pass")); ?></div>
                                        </div>
						                <div class="col-12">
								          <?php $id = Crypt::encryptString($data['record']->id);  ?>                            	
								          <input type="hidden" name="i" value="<?php echo e($id); ?>">
								          <?php echo e(Form::submit(__('messages.Submit'),["class"=>"btn btn-primary"])); ?>

								          <span></span>
								        </div>
								    <?php echo e(Form::close()); ?>    
					            
					            </div>
					            <!-- /.card-body -->
				          </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		        </div>
	    	</div>
		</div>
	</section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/wwwcurzenncloud/public_html/power-bank/resources/views/admin/resetUserPass.blade.php ENDPATH**/ ?>