<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
   <section class="content">
       <div class="container-fluid">
       <!-- Small boxes (Stat box) -->
         <div class="row">
            <div class="col-md-12">
               <?php echo session("message"); ?>

            </div>   
            <div class="col-md-12">
               <div class="card">
                  <!-- /.card-header -->
                  <div class="card-body">
                     <div class="src-filter">
                        <div class="card card-primary">
                            <div class="card-header">
    			                <h3 class="card-title"><?php echo e(__('messages.Filter')); ?></h3>
                                <div class="card-tools">
				                    <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                    <i class="fas fa-minus"></i>
					                </button>
				              </div>
				            </div>
                            <div class="card-body">
                                <?php echo e(Form::open(array("url"=>"admin/listBatteries",'method' => 'get'))); ?>

					              <div class="row">
					                <?php if(count($data['deviceInfo']) > 0): ?>
					                <div class="col-md-3">
						                <div class="form-group">
						                    <?php echo e(Form::label("deviceId",__('messages.Device Id'))); ?>

		                                    <select class="form-control custom-select" name="deviceId" id="deviceId">
    			                                <option value=""><?php echo e(__('messages.Select')); ?></option>
    			                                <?php $__currentLoopData = $data['deviceInfo']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    			                                <option value="<?php echo e($value['device_id']); ?>" <?php if(isset($_GET["deviceId"])){ if((int)$_GET["deviceId"] == $value['device_id']){ echo "selected"; } }  ?> ><?php echo e($value['device_id']); ?></option>
    			                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			                                </select> 
						                </div>
						            </div>
						            <?php endif; ?>
						            
						            <div class="col-md-3">
						                <div class="form-group">
						                    <?php echo e(Form::label("status",__('messages.Battery Status'))); ?>

		                                    <select class="form-control custom-select" name="status" id="status">
    			                                <option value=""><?php echo e(__('messages.Select')); ?></option>
    			                                <option value="1" <?php if(isset($_GET["status"])){ if((int)$_GET["status"] == '1'){ echo "selected"; } }  ?> ><?php echo e(__('messages.Available')); ?></option>
    			                                <option value="2" <?php if(isset($_GET["status"])){ if((int)$_GET["status"] == '2'){ echo "selected"; } }  ?> ><?php echo e(__('messages.Not Available')); ?></option>
    			                            </select> 
						                </div>
						            </div>
						            
						            <div class="col-12">
							            <a href="<?php echo e(url('admin/listBatteries')); ?>" class="btn btn-danger"><?php echo e(__('messages.Reset')); ?></a>
							            <?php echo e(Form::submit(__('messages.Search'),['name' => 'searchsubmit', "class"=>"btn btn-warning"])); ?>

		                                <?php if(count($data["batteryList"]) > 0): ?>
		                                <?php echo e(Form::submit(__('messages.Export'),['name' => 'exportsubmit', "class"=>"btn btn-success"])); ?>

			                            <?php endif; ?>
							        </div>
						        </div>
						        <?php echo e(Form::close()); ?>

				            </div>
                        </div>
                     </div>  
                     <table id="myTable" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th><?php echo e(__('messages.ID')); ?></th>
                                <th><?php echo e(__('messages.Device Id')); ?></th>
                                <th><?php echo e(__('messages.Battery Id')); ?></th>
                                <th><?php echo e(__('messages.Battery Port')); ?></th>
                                <th><?php echo e(__('messages.Battery Status')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                           <?php $x= 1; ?>
                           <?php $__empty_1 = true; $__currentLoopData = $data["batteryList"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                           <?php $id = Crypt::encryptString($value->id); ?>
                            <tr>
                                <td><?php echo e($x); ?></td>
                                <td><?php echo e($value->device_id); ?></td>
                                <td><?php echo e($value->battery_id); ?></td>
                                <td><?php echo e($value->battery_port); ?></td>
                                <td>
                                    <?php if($value->battery_status === '1'): ?>
                                        <span class="bg-success"><?php echo e(__('messages.Available')); ?></span>
                                    <?php else: ?>
                                        <span class="bg-danger"><?php echo e(__('messages.Not Available')); ?></span>
                                    <?php endif; ?>
                                </td>
                            </tr>
                           <?php $x++; ?>
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                           

                           <?php endif; ?>     
                        </tbody>
                        <tfoot>
                        <tr>
                            <th><?php echo e(__('messages.ID')); ?></th>
                            <th><?php echo e(__('messages.Device Id')); ?></th>
                            <th><?php echo e(__('messages.Battery Id')); ?></th>
                            <th><?php echo e(__('messages.Battery Port')); ?></th>
                            <th><?php echo e(__('messages.Battery Status')); ?></th>
                        </tr>
                        </tfoot>
                     </table>
                     <?php if(!empty($data["batteryList"])): ?>
                     <?php echo e($data["batteryList"]->appends(request()->input())->links()); ?>

                     <?php endif; ?> 
                  </div>
              </div>
         </div>
      </div>
   </section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script>
$(function () {
    $("#myTable").DataTable({
        aaSorting : [[0, 'desc']],
        "responsive": true,
        "autoWidth": false,
        "language": {
            "emptyTable": "<?php echo e(__('messages.no_record')); ?>"
        },
        
        "searching": false,   // Search Box will Be Disabled
        "ordering": false,    // Ordering (Sorting on Each Column)will Be Disabled
        "info": true,         // Will show "1 to n of n entries" Text at bottom
        "lengthChange": false // Will Disabled Record number per page
    });
});
</script><?php /**PATH /home/wwwcurzenncloud/public_html/power-bank/resources/views/admin/batteryList.blade.php ENDPATH**/ ?>