<?php echo $__env->make("admin.template.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make("admin.template.sidebar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($data['heading']); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><?php echo e(__('messages.Dashboard')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e($data['heading']); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
	<section class="content">
	    <div class="container-fluid">
	    <!-- Small boxes (Stat box) -->
	    	<div class="row">
	    		<div class="col-md-12">
      				<?php echo session("message"); ?>

      			</div>	
	    		<div class="col-md-12">
			    	<div class="card">
		              <!-- /.card-header -->
		              <div class="card-body">
		              		<div class="card card-primary">
					            <div class="card-header">
					              <h3 class="card-title"><?php echo e(__('messages.General')); ?></h3>

					              <div class="card-tools">
					                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                  <i class="fas fa-minus"></i>
					                </button>
					              </div>
					            </div>
					            <div class="card-body">
					            	<?php echo e(Form::open(array("url"=>"admin/siteSettingsubmit","method"=>"post","files"=>true,"class"=>"site-form"))); ?>

					              		<div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Support Email')); ?></label>
							                <input type="email" name="support_email" class="form-control" value="<?php echo e($setting[0]['value']); ?>">
							                <div class="error"><?php echo e($errors->first("support_email")); ?></div>
							            </div>

							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Support Number')); ?></label>
							                <input type="text" name="support_contact" class="form-control" value="<?php echo e($setting[1]['value']); ?>">
					                  		<div class="error"><?php echo e($errors->first("support_contact")); ?></div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Currency')); ?></label>
							                <input type="text" name="Currency" class="form-control" value="<?php echo e($setting[2]['value']); ?>">
					                  		<div class="error"><?php echo e($errors->first("Currency")); ?></div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Tax in')); ?> %</label>
							                <input type="text" name="tax" class="form-control" value="<?php echo e($setting[3]['value']); ?>">
					                  		<div class="error"><?php echo e($errors->first("tax")); ?></div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Deposit amount')); ?></label>
							                <input type="text" name="deposit_amount" class="form-control" value="<?php echo e($setting[8]['value']); ?>">
					                  		<div class="error"><?php echo e($errors->first("deposit_amount")); ?></div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Default Search Radius')); ?></label>
							                <input type="text" name="default_search_radius" class="form-control" value="<?php echo e($setting[4]['value']); ?>" onkeypress="return isNumberKey(event);">
						                  	<div class="error"><?php echo e($errors->first("default_search_radius")); ?></div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Per half hour charge')); ?></label>
							                <input type="text" name="per_half_hour_charge" class="form-control" value="<?php echo e($setting[9]['value']); ?>" onkeypress="return isNumberKey(event);">
						                  	<div class="error"><?php echo e($errors->first("per_half_hour_charge")); ?></div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Per hour charge')); ?></label>
							                <input type="text" name="per_hour_charge" class="form-control" value="<?php echo e($setting[7]['value']); ?>" onkeypress="return isNumberKey(event);">
						                  	<div class="error"><?php echo e($errors->first("per_hour_charge")); ?></div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Per day charge')); ?></label>
							                <input type="text" name="per_day_charge" class="form-control" value="<?php echo e($setting[10]['value']); ?>" onkeypress="return isNumberKey(event);">
						                  	<div class="error"><?php echo e($errors->first("per_day_charge")); ?></div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Rental duration (In Days)')); ?></label>
							                <input type="text" name="default_battery_keeping_days" class="form-control" value="<?php echo e($setting[5]['value']); ?>" onkeypress="return isNumberKey(event);">
						                  	<div class="error"><?php echo e($errors->first("default_battery_keeping_days")); ?></div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription"><?php echo e(__('messages.Default minutes to start charge')); ?></label>
							                <input type="text" name="default_minutes_to_start_charge" class="form-control" value="<?php echo e($setting[6]['value']); ?>" onkeypress="return isNumberKey(event);">
						                  	<div class="error"><?php echo e($errors->first("default_minutes_to_start_charge")); ?></div>
							            </div>
							            
					               <?php echo e(Form::submit( __('messages.Submit'),["class"=>"btn btn-primary"])); ?>

				               <?php echo e(Form::close()); ?>

					            </div>
					            <!-- /.card-body -->
				          </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		        </div>
	    	</div>
		</div>
	</section>

<?php echo $__env->make("admin.template.footer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /**PATH /home/wwwcurzenncloud/public_html/power-bank/resources/views/admin/siteSetting.blade.php ENDPATH**/ ?>